Texa DeskDevelopers

Texa Desk Application API · Labels

Update a label

PATCH/api/v1/accounts/{account_id}/labels/{id}

Update a label's attributes

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idnumberrequired

ID of the label

Body application/json

titlestring

The label title

descriptionstring

A short description for the label

colorstring

Hex color code for the label

show_on_sidebarboolean

Whether the label should appear in the sidebar

Responses

200

Success

idnumber

The ID of the label

titlestring

The title of the label

descriptionstring

The description of the label

colorstring

Hex color code for the label

show_on_sidebarboolean

Whether the label should appear in the sidebar

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring